Bug 1444633 - OSP10 deployment with OPS Tools fails to upgrade to OSP11. The conditional check 'sensu_client.rc != 0' failed
Summary: OSP10 deployment with OPS Tools fails to upgrade to OSP11. The conditional ch...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-23 12:30 UTC by Leonid Natapov
Modified: 2017-05-17 20:23 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:23:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 454774 None None None 2017-04-24 09:51:03 UTC
OpenStack gerrit 459224 None None None 2017-04-24 10:02:09 UTC

Description Leonid Natapov 2017-04-23 12:30:09 UTC
OSP10 deployment with OPS Tools fails to upgrade to OSP11.

------

[stack@undercloud-0 ~]$ openstack stack failures list  overcloud
overcloud.AllNodesDeploySteps.ControllerUpgrade_Step3.0:
  resource_type: OS::Heat::SoftwareDeployment
  physical_resource_id: 595242b2-32e6-40e8-b0cc-5e4a429799c2
  status: CREATE_FAILED
  status_reason: |
    Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
  deploy_stdout: |
    ...
    TASK [Check if sensu_client is deployed] ***************************************
    changed: [localhost]

    TASK [Install sensu package if it was disabled] ********************************
    fatal: [localhost]: FAILED! => {"failed": true, "msg": "The conditional check 'sensu_client.rc != 0' failed. The error was: error while evaluating conditional (sensu_client.rc != 0): 'sensu_client' is undefined"}
    	to retry, use: --limit @/var/lib/heat-config/heat-config-ansible/78923f0c-5575-47c9-9531-c1154985a464_playbook.retry

    PLAY RECAP *********************************************************************
    localhost                  : ok=31   changed=28   unreachable=0    failed=1

    (truncated, view all with --long)
  deploy_stderr: |

[stack@undercloud-0 ~]$

Comment 2 Martin Magr 2017-04-24 09:51:04 UTC
There's a patch for this issue already. Backport will follow.

Comment 3 Martin Magr 2017-04-24 10:01:06 UTC
stable/ocata backport: https://review.openstack.org/459224

Comment 5 Leonid Natapov 2017-04-26 09:08:48 UTC
Martins's patch was tested and the upgrade was successfully finished.

Comment 6 errata-xmlrpc 2017-05-17 20:23:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.